## koffice 2.1.0-0

=== CMakeLists.txt ===
project(koffice)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

 ############
#############
## Options ##
#############
############

 ######################
#######################
## Constants defines ##
#######################
######################

# define the generic version of the KOffice libraries here
# this makes it easy to advance it when the next KOffice release comes
set(GENERIC_KOFFICE_LIB_VERSION "6.0.0")
set(GENERIC_KOFFICE_LIB_SOVERSION "6")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

#
# WARNING: don't change the SHOULD_BUILD_app if an application
# doesn't build, but rather add the following line:
# option(BUILD_app "Build directory app" OFF)
#
#eg:
#option(BUILD_kexi "Build directory kexi" OFF) # kexi isn't buildable at the moment

option(TINY "compile a tiny KOffice" OFF)

IF (TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON FALSE)
    set(SHOULD_BUILD_KRITA FALSE)
    set(SHOULD_BUILD_KEXI FALSE)
    set(SHOULD_BUILD_KIVIO FALSE)
    set(SHOULD_BUILD_KPLATO FALSE)
    set(SHOULD_BUILD_KFORMULA FALSE)
    set(SHOULD_BUILD_KCHART TRUE)
    set(SHOULD_BUILD_KDGANTT FALSE)
    set(SHOULD_BUILD_KOUNAVAIL FALSE)
    set(SHOULD_BUILD_SCRIPTING FALSE)
ELSE(TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON TRUE)
    set(SHOULD_BUILD_KRITA TRUE)
    set(SHOULD_BUILD_KEXI TRUE)
    set(SHOULD_BUILD_KIVIO TRUE)
    set(SHOULD_BUILD_KPLATO TRUE)
    set(SHOULD_BUILD_KFORMULA TRUE)
    set(SHOULD_BUILD_KCHART TRUE)
    set(SHOULD_BUILD_KDGANTT TRUE)
    set(SHOULD_BUILD_KOUNAVAIL TRUE)
    set(SHOULD_BUILD_SCRIPTING TRUE)
ENDIF(TINY)

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.1.0")
find_package(KDE4 4.1.0 REQUIRED)
find_package(Qt4 4.5.0 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

#
# Test for KDE >= 4.3.0
#
macro_ensure_version( "4.3.0" ${KDE_VERSION} KDE4_3_0 )

 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)

if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

 ################################
#################################
## Check for OpenEXR           ##
#################################
################################


macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)
configure_file(config-openexr.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-openexr.h )
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/config-openexr.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)


 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Look for OpenGL
##

macro_optional_find_package(OpenGL)
set(HAVE_OPENGL 0)

if(OPENGL_FOUND)
    message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
    if(QT_QTOPENGL_FOUND)
        message(STATUS "Found Qt OpenGL support")
        set(HAVE_OPENGL 1)
    else(QT_QTOPENGL_FOUND)
        message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
    endif(QT_QTOPENGL_FOUND)
else(OPENGL_FOUND)
    message(STATUS "Did NOT find OpenGL libraries")
endif(OPENGL_FOUND)

configure_file(config-opengl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-opengl.h )
macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by parts of Krita and optionally by flake")

##
## Test for create ressources
##
macro_optional_find_package(CreateResources)
macro_log_feature(CREATERESOURCES_FOUND "Create Resources" "Create Resources (brushes, palettes etc.)" "http://create.freedesktop.org" FALSE "" "Required by KOffice for optional extra resources.")

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by KPlato and the KDE address book integration (available as a module in KDE)")

##
## Test for boost
##
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" FALSE "" "Required by KPresenter")

##
## Test for eigen2
##
macro_optional_find_package(Eigen2)
macro_log_feature(EIGEN2_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "2.0" "Required by KSpread and Krita")

##
## Test for blitz
##
macro_optional_find_package(Blitz)
macro_log_feature(BLITZ_FOUND "QImageBlitz" "Image effect library" "http://www.kde.org" FALSE "" "Required by Krita (available in kdesupport)")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for bzip2
##
find_program(BZIP2_EXECUTABLE NAMES bzip2 )
macro_log_feature(BZIP2_EXECUTABLE "bzip2" "High-quality data compressor" "http://www.bzip.org" FALSE "" "Required by Kexi")

##
## Test for lcms
## 
macro_optional_find_package(LCMS)
set(REQUIRED_LCMS_VERSION 118)
if(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION TRUE)
    set(HAVE_LCMS TRUE)
else(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION FALSE)
    set(HAVE_LCMS FALSE)
endif(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})

macro_log_feature(HAVE_REQUIRED_LCMS_VERSION "LittleCMS" "Color management engine" "http://www.littlecms.com" FALSE "1.18" "Required for color management and Krita's JPEG filter.")


#Set the build of TextShape changetraker

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS})

if(WIN32)
    # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
    execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    file(TO_CMAKE_PATH "${_dir}" __dir)
    find_path(KDE4_ICON_DIR oxygen PATHS
        ${__dir}
    )
    message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")

    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY ${INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${INSTALL_TARGETS_DEFAULT_ARGS} )


else(WIN32)
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

##
## Test endianess
##
include (TestBigEndian)
TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)
configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )

##
## Generate a file for prefix information
##
configure_file(config-prefix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-prefix.h )

 ####################
#####################
## Define includes ##
#####################
####################

# WARNING: make sure that QT_INCLUDES is the first directory to be added to include_directory before
#          any other include directory

# for config.h and <toplevel/foo.h> includes (if any?)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces )


# kostore is at the bottom of stack, so it has the dependency on the kde4 includes.
set(KOSTORE_INCLUDES ${CMAKE_SOURCE_DIR}/libs/store ${CMAKE_BINARY_DIR}/libs/store ${KDE4_INCLUDES})

# koplugin is at the bottom of the stack
set(KOPLUGIN_INCLUDES ${CMAKE_SOURCE_DIR}/libs/koplugin)

# kobase is at the bottom of the stack
set(KOBASE_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kobase)

# koodf depends on kostore, kobase and koodf
set(KOODF_INCLUDES ${CMAKE_SOURCE_DIR}/libs/odf
                   ${CMAKE_BINARY_DIR}/libs/odf
                   ${KOBASE_INCLUDES}
                   ${KOSTORE_INCLUDES})


# pigment depends on koplugin and lcms
set(PIGMENT_INCLUDES ${KOPLUGIN_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/pigment
                   ${CMAKE_SOURCE_DIR}/libs/pigment/compositeops
                   ${CMAKE_SOURCE_DIR}/libs/pigment/resources
                   ${QT_INCLUDES}
                   ${KDE4_INCLUDES})

# flake depends on koodf and pigment
set(FLAKE_INCLUDES ${CMAKE_SOURCE_DIR}/libs/flake
                   ${KOODF_INCLUDES}
                   ${KOPLUGIN_INCLUDES}
                   ${PIGMENT_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/flake/commands
                   ${CMAKE_SOURCE_DIR}/libs/flake/tools
                   ${CMAKE_BINARY_DIR}/libs/flake)

# KoText depends on koplugin, odf
set(KOTEXT_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kotext
                   ${CMAKE_BINARY_DIR}/libs/kotext
                   ${CMAKE_SOURCE_DIR}/libs/kotext/changetracker
                   ${CMAKE_SOURCE_DIR}/libs/kotext/styles
                   ${CMAKE_SOURCE_DIR}/libs/kotext/opendocument
                   ${FLAKE_INCLUDES}
                   ${KOODF_INCLUDES})

# komain depends on kotext & flake
set(KOMAIN_INCLUDES ${KDE4_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${CMAKE_SOURCE_DIR}/libs/widgets
                    ${CMAKE_SOURCE_DIR}/libs/main
                    ${CMAKE_SOURCE_DIR}/libs/main/config)

if(SHOULD_BUILD_SCRIPTING)
  set(KOKROSS_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kokross ${CMAKE_BINARY_DIR}/libs/kokross)
endif(SHOULD_BUILD_SCRIPTING)

# kopageapp
set(KOPAGEAPP_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kopageapp ${CMAKE_SOURCE_DIR}/libs/kopageapp/commands ${CMAKE_BINARY_DIR}/libs/kopageapp )

 #############################################
##############################################
## Detect which applications can be compile ##
##############################################
#############################################

#
# WARNING: when adding a dependency if there is allready a line
# containing SHOULD_BUILD_app, don't add a new one, just add
# the test to the if construct
#


### KSpread: eigen2
if(NOT EIGEN2_FOUND)
    set(SHOULD_BUILD_KSPREAD FALSE)
endif(NOT EIGEN2_FOUND)

### KPresenter: boost
if(NOT Boost_FOUND)
    set(SHOULD_BUILD_KPRESENTER FALSE)
endif(NOT Boost_FOUND)

### Kexi: bzip2
if(NOT BZIP2_EXECUTABLE )
    set(SHOULD_BUILD_KEXI FALSE)
endif(NOT BZIP2_EXECUTABLE )

### Krita: pigment, blitz, eigen2, exiv2
if(NOT BLITZ_FOUND OR NOT EIGEN2_FOUND OR NOT EXIV2_FOUND OR NOT KDE4_3_0)
   set(SHOULD_BUILD_KRITA FALSE)
endif(NOT BLITZ_FOUND OR NOT EIGEN2_FOUND OR NOT EXIV2_FOUND OR NOT KDE4_3_0)

### KPlato: kdepimlibs
if(NOT KdepimLibs_FOUND)
    set(SHOULD_BUILD_KPLATO FALSE)
endif(NOT KdepimLibs_FOUND)

 ###################
####################
## Subdirectories ##
####################
###################

add_subdirectory(libs)
add_subdirectory(interfaces)
add_subdirectory(cmake)

if(SHOULD_BUILD_KWORD)
    macro_optional_add_subdirectory(kword)
endif(SHOULD_BUILD_KWORD)

if (SHOULD_BUILD_KFORMULA)
    macro_optional_add_subdirectory(kformula)
endif (SHOULD_BUILD_KFORMULA)

if (SHOULD_BUILD_KIVIO)
    macro_optional_add_subdirectory(kivio)
endif (SHOULD_BUILD_KIVIO)

if (SHOULD_BUILD_KOUNAVAIL)
    macro_optional_add_subdirectory(kounavail)
endif (SHOULD_BUILD_KOUNAVAIL)    

if (SHOULD_BUILD_KPLATO)
    macro_optional_add_subdirectory(kdgantt)

=== cmake/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/cmake/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 cmake/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 cmake/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 cmake/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 cmake/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/CMakeLists.txt ===
if(SHOULD_BUILD_KARBON)
	add_subdirectory(karbon)
endif(SHOULD_BUILD_KARBON)
add_subdirectory(kchart)
if(BUILD_kexi)
    if( BZIP2_EXECUTABLE )
        add_subdirectory(kexi)
    endif( BZIP2_EXECUTABLE )
endif(BUILD_kexi)
add_subdirectory(kformula)
add_subdirectory(kivio)
add_subdirectory(koffice)
add_subdirectory(kplato)
if(SHOULD_BUILD_KPRESENTER)
        add_subdirectory(kpresenter)
endif(SHOULD_BUILD_KPRESENTER)
if(SHOULD_BUILD_KSPREAD)
	add_subdirectory(kspread)
endif(SHOULD_BUILD_KSPREAD)
add_subdirectory(thesaurus)

INSTALL(FILES   koffice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/doc/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== filters/CMakeLists.txt ===
include(CheckIncludeFiles)

macro_optional_find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXML2" "LibXml2 library" "http://xmlsoft.org/" FALSE "" "Required by the xlslt filter")

macro_optional_find_package(LibXslt)
macro_log_feature(LIBXSLT_FOUND "LibXslt" "LibXslt Library" "http://xmlsoft.org/XSLT/" FALSE "" "Required by the xslt filter")

# for xsltfilter:
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
# for xpdf:
check_include_files(ndir.h HAVE_NDIR_H)
check_include_files(sys/dir.h HAVE_SYS_DIR_H)
check_include_files(sys/ndir.h HAVE_SYS_NDIR_H)
check_include_files(dirent.h HAVE_DIRENT_H)
# others:
check_include_files(ieeefp.h HAVE_IEEEFP_H)
check_include_files(dirent.h HAVE_DIRENT_H)
check_include_files(string.h HAVE_STRING_H)
check_include_files(strings.h HAVE_STRINGS_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-filters.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-filters.h )

set(libdialogfilter_SRCS 
	${CMAKE_SOURCE_DIR}/filters/libdialogfilter/exportsizedia.cpp
)

set(liboofilter_SRCS 
	${CMAKE_SOURCE_DIR}/filters/liboofilter/ooutils.cc 
	${CMAKE_SOURCE_DIR}/filters/liboofilter/liststylestack.cc
	)

set(KWMF_INCLUDES ${CMAKE_SOURCE_DIR}/filters/libkowmf)

macro_optional_add_subdirectory( generic_wrapper )
add_subdirectory( libkowmf )
macro_optional_add_subdirectory( libmsooxml )

if(SHOULD_BUILD_KCHART)
    macro_optional_add_subdirectory(kchart)
endif(SHOULD_BUILD_KCHART)

if (SHOULD_BUILD_KWORD)
    macro_optional_add_subdirectory(kword)
endif (SHOULD_BUILD_KWORD)

if(SHOULD_BUILD_KPRESENTER)
    macro_optional_add_subdirectory(kpresenter)
endif(SHOULD_BUILD_KPRESENTER)

if(SHOULD_BUILD_KFORMULA)
    macro_optional_add_subdirectory(kformula)
endif(SHOULD_BUILD_KFORMULA)

if(SHOULD_BUILD_KSPREAD)
    macro_optional_add_subdirectory(kspread)
endif(SHOULD_BUILD_KSPREAD)

if(SHOULD_BUILD_KARBON)
  macro_optional_add_subdirectory(karbon)
endif(SHOULD_BUILD_KARBON)

if(SHOULD_BUILD_KIVIO)
    #macro_optional_add_subdirectory(kivio)
endif(SHOULD_BUILD_KIVIO)

if(SHOULD_BUILD_KPLATO)
    macro_optional_add_subdirectory(kplato)
endif(SHOULD_BUILD_KPLATO)

if(NOT TINY AND LIBXML2_FOUND AND LIBXSLT_FOUND AND NOT WIN32)
	add_subdirectory(xsltfilter)
endif(NOT TINY AND LIBXML2_FOUND AND LIBXSLT_FOUND AND NOT WIN32)	

########### install files ###############

=== filters/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/filters/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 filters/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 filters/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 filters/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 filters/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== interfaces/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/interfaces/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
interfaces/CMakeFiles/kochart.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/CMakeFiles/kochart.dir/rule
.PHONY : interfaces/CMakeFiles/kochart.dir/rule

# Convenience name for target.
kochart: interfaces/CMakeFiles/kochart.dir/rule
.PHONY : kochart

# fast build rule for target.
kochart/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/build
.PHONY : kochart/fast

# Convenience name for target.
interfaces/CMakeFiles/kochart_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 interfaces/CMakeFiles/kochart_automoc.dir/rule
.PHONY : interfaces/CMakeFiles/kochart_automoc.dir/rule

# Convenience name for target.
kochart_automoc: interfaces/CMakeFiles/kochart_automoc.dir/rule
.PHONY : kochart_automoc

# fast build rule for target.
kochart_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart_automoc.dir/build.make interfaces/CMakeFiles/kochart_automoc.dir/build
.PHONY : kochart_automoc/fast

# target to build an object file
koChart.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/koChart.o
.PHONY : koChart.o

# target to preprocess a source file
koChart.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/koChart.i
.PHONY : koChart.i

# target to generate assembly for a file
koChart.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/koChart.s
.PHONY : koChart.s

# target to build an object file
kochart_automoc.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/kochart_automoc.o
.PHONY : kochart_automoc.o

# target to preprocess a source file
kochart_automoc.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/kochart_automoc.i
.PHONY : kochart_automoc.i

# target to generate assembly for a file
kochart_automoc.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f interfaces/CMakeFiles/kochart.dir/build.make interfaces/CMakeFiles/kochart.dir/kochart_automoc.s
.PHONY : kochart_automoc.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... kochart"
	@echo "... kochart_automoc"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... koChart.o"
	@echo "... koChart.i"
	@echo "... koChart.s"
	@echo "... kochart_automoc.o"
	@echo "... kochart_automoc.i"
	@echo "... kochart_automoc.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== kchart/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kchart/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kchart/CMakeFiles/kchartcommon.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/CMakeFiles/kchartcommon.dir/rule
.PHONY : kchart/CMakeFiles/kchartcommon.dir/rule

# Convenience name for target.
kchartcommon: kchart/CMakeFiles/kchartcommon.dir/rule
.PHONY : kchartcommon

# fast build rule for target.
kchartcommon/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/build
.PHONY : kchartcommon/fast

# Convenience name for target.
kchart/CMakeFiles/kchartcommon_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/CMakeFiles/kchartcommon_automoc.dir/rule
.PHONY : kchart/CMakeFiles/kchartcommon_automoc.dir/rule

# Convenience name for target.
kchartcommon_automoc: kchart/CMakeFiles/kchartcommon_automoc.dir/rule
.PHONY : kchartcommon_automoc

# fast build rule for target.
kchartcommon_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon_automoc.dir/build.make kchart/CMakeFiles/kchartcommon_automoc.dir/build
.PHONY : kchartcommon_automoc/fast

# target to build an object file
KChartCanvas.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.o
.PHONY : KChartCanvas.o

# target to preprocess a source file
KChartCanvas.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.i
.PHONY : KChartCanvas.i

# target to generate assembly for a file
KChartCanvas.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.s
.PHONY : KChartCanvas.s

# target to build an object file
KChartFactory.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.o
.PHONY : KChartFactory.o

# target to preprocess a source file
KChartFactory.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.i
.PHONY : KChartFactory.i

# target to generate assembly for a file
KChartFactory.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.s
.PHONY : KChartFactory.s

# target to build an object file
KChartPart.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.o
.PHONY : KChartPart.o

# target to preprocess a source file
KChartPart.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.i
.PHONY : KChartPart.i

# target to generate assembly for a file
KChartPart.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.s
.PHONY : KChartPart.s

# target to build an object file
KChartPrintJob.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.o
.PHONY : KChartPrintJob.o

# target to preprocess a source file
KChartPrintJob.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.i
.PHONY : KChartPrintJob.i

# target to generate assembly for a file
KChartPrintJob.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.s
.PHONY : KChartPrintJob.s

# target to build an object file
KChartView.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.o
.PHONY : KChartView.o

# target to preprocess a source file
KChartView.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.i
.PHONY : KChartView.i

# target to generate assembly for a file
KChartView.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.s
.PHONY : KChartView.s

# target to build an object file
KChartViewAdaptor.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.o
.PHONY : KChartViewAdaptor.o

# target to preprocess a source file
KChartViewAdaptor.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.i
.PHONY : KChartViewAdaptor.i

# target to generate assembly for a file
KChartViewAdaptor.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.s
.PHONY : KChartViewAdaptor.s

# target to build an object file
dialogs/KCPageLayout.o:

=== kounavail/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kounavail/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kounavail/CMakeFiles/kounavailpart.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/CMakeFiles/kounavailpart.dir/rule
.PHONY : kounavail/CMakeFiles/kounavailpart.dir/rule

# Convenience name for target.
kounavailpart: kounavail/CMakeFiles/kounavailpart.dir/rule
.PHONY : kounavailpart

# fast build rule for target.
kounavailpart/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/build
.PHONY : kounavailpart/fast

# Convenience name for target.
kounavail/CMakeFiles/kounavailpart_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/CMakeFiles/kounavailpart_automoc.dir/rule
.PHONY : kounavail/CMakeFiles/kounavailpart_automoc.dir/rule

# Convenience name for target.
kounavailpart_automoc: kounavail/CMakeFiles/kounavailpart_automoc.dir/rule
.PHONY : kounavailpart_automoc

# fast build rule for target.
kounavailpart_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart_automoc.dir/build.make kounavail/CMakeFiles/kounavailpart_automoc.dir/build
.PHONY : kounavailpart_automoc/fast

# target to build an object file
kounavail.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.o
.PHONY : kounavail.o

# target to preprocess a source file
kounavail.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.i
.PHONY : kounavail.i

# target to generate assembly for a file
kounavail.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.s
.PHONY : kounavail.s

# target to build an object file
kounavailpart_automoc.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.o
.PHONY : kounavailpart_automoc.o

# target to preprocess a source file
kounavailpart_automoc.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.i
.PHONY : kounavailpart_automoc.i

# target to generate assembly for a file
kounavailpart_automoc.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.s
.PHONY : kounavailpart_automoc.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... kounavailpart"
	@echo "... kounavailpart_automoc"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... kounavail.o"
	@echo "... kounavail.i"
	@echo "... kounavail.s"
	@echo "... kounavailpart_automoc.o"
	@echo "... kounavailpart_automoc.i"
	@echo "... kounavailpart_automoc.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== kpresenter/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kpresenter/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kpresenter/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kpresenter/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kpresenter/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kpresenter/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== kspread/CMakeLists.txt ===
project(kspread)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/tests
                     ${CMAKE_CURRENT_SOURCE_DIR}/ui
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart
                     ${KOMAIN_INCLUDES}
                     ${KOTEXT_INCLUDES}
                     ${EIGEN2_INCLUDE_DIR} )

########### next target ###############
SET (chart_DIR_SRCS
	chart/ChartDatabaseSelectorFactory.cpp
	chart/ChartDatabaseSelector.cpp
	chart/ChartDialog.cpp
	)

kde4_add_ui_files(chart_DIR_SRCS
	chart/ChartDatabaseSelector.ui
	)

SET (commands_DIR_SRCS
	commands/AbstractRegionCommand.cpp
	commands/ApplyFilterCommand.cpp
	commands/AutoFillCommand.cpp
	commands/AutoFilterCommand.cpp
	commands/AutoFormatCommand.cpp
	commands/BorderColorCommand.cpp
	commands/CommentCommand.cpp
	commands/ConditionCommand.cpp
	commands/CSVDataCommand.cpp
	commands/DataManipulators.cpp
	commands/DeleteCommand.cpp
	commands/IndentationCommand.cpp
	commands/LinkCommand.cpp
	commands/MergeCommand.cpp
	commands/NamedAreaCommand.cpp
	commands/PrecisionCommand.cpp
	commands/RowColumnManipulators.cpp
	commands/SheetCommands.cpp
	commands/SortManipulator.cpp
	commands/SpellCheckCommand.cpp
	commands/StyleCommand.cpp
	commands/Undo.cpp
	commands/ValidityCommand.cpp
	)

SET (database_DIR_SRCS
	database/Database.cpp
	database/DatabaseManager.cpp
	database/DatabaseSource.cpp
	database/DatabaseSourceQuery.cpp
	database/DatabaseSourceSql.cpp
	database/DatabaseSourceTable.cpp
	database/Filter.cpp
	database/FilterPopup.cpp
	)

SET (dialogs_DIR_SRCS
	dialogs/AddNamedAreaDialog.cpp
	dialogs/AngleDialog.cpp
	dialogs/AutoFormatDialog.cpp
	dialogs/CommentDialog.cpp
	dialogs/ConditionalDialog.cpp
	dialogs/ConsolidateDialog.cpp
	dialogs/CSVDialog.cpp
	dialogs/DatabaseDialog.cpp
	dialogs/DocumentSettingsDialog.cpp
	dialogs/FindDialog.cpp
	dialogs/FormulaDialog.cpp
	dialogs/GoalSeekDialog.cpp
	dialogs/GotoDialog.cpp
	dialogs/InsertDialog.cpp
	dialogs/LayoutDialog.cpp
	dialogs/LinkDialog.cpp
	dialogs/ListDialog.cpp
	dialogs/NamedAreaDialog.cpp
	dialogs/PasteInsertDialog.cpp
	dialogs/Resize2Dialog.cpp
	dialogs/SeriesDialog.cpp
	dialogs/ShowDialog.cpp
	dialogs/ShowColRowDialog.cpp
	dialogs/SortDialog.cpp
	dialogs/SpecialPasteDialog.cpp
	dialogs/StyleManagerDialog.cpp
	dialogs/SubtotalDialog.cpp
	dialogs/ValidityDialog.cpp
	)


kde4_add_ui_files(dialogs_DIR_SRCS
	dialogs/FontWidget.ui
	dialogs/PositionWidget.ui
	dialogs/ProtectionWidget.ui
	dialogs/SpecialPasteWidget.ui
	dialogs/SubtotalWidget.ui
	)

SET (functions_DIR_SRCS
	functions/helper.cpp
	)

SET (interfaces_DIR_SRCS
	interfaces/MapAdaptor.cpp
	interfaces/ReadOnlyRegionModel.cpp
	interfaces/ReadOnlyTableModel.cpp
	interfaces/ReadWriteTableModel.cpp
	interfaces/SheetAdaptor.cpp
	interfaces/ViewAdaptor.cpp
	)

SET (part_DIR_SRCS
	part/Canvas.cpp
	part/CellTool.cpp
	part/CellToolFactory.cpp
	part/Digest.cpp
	part/Doc.cpp
	part/Factory.cpp
	part/Headers.cpp
	part/PrintJob.cpp
	part/PrintManager.cpp
	part/ToolRegistry.cpp
	part/TabBar.cpp
	part/View.cpp
	part/commands/DefinePrintRangeCommand.cpp
	part/commands/PageLayoutCommand.cpp
	part/dialogs/PageLayoutDialog.cpp
	part/dialogs/PreferenceDialog.cpp
	part/dialogs/SheetPropertiesDialog.cpp
	part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
	part/dialogs/FileOptionsWidget.ui
	part/dialogs/InterfaceOptionsWidget.ui
	part/dialogs/PageLayoutSheetPage.ui
	part/dialogs/SheetPropertiesWidget.ui
	part/dialogs/SheetSelectWidget.ui
)

SET (ui_DIR_SRCS
	ui/AbstractSelectionStrategy.cpp
	ui/AutoFillStrategy.cpp
	ui/CellToolBase.cpp
	ui/CellToolBase_p.cpp
	ui/CellView.cpp
	ui/DragAndDropStrategy.cpp
	ui/Editors.cpp
	ui/HyperlinkStrategy.cpp
	ui/MergeStrategy.cpp
	ui/PasteStrategy.cpp
	ui/SelectionStrategy.cpp
	ui/SheetView.cpp
	ui/CharSelectDia.cpp
	)

SET (kspreadcommon_LIB_SRCS
	ApplicationSettings.cpp
	Binding.cpp
	BindingManager.cpp
	CalculationSettings.cpp
	Cell.cpp
	CellStorage.cpp
	Cluster.cpp
	Condition.cpp
	Currency.cpp
	Damages.cpp
	DependencyManager.cpp
	Format.cpp
	Formula.cpp
	FunctionModule.cpp
	FunctionModuleRegistry.cpp
	Functions.cpp
	GenValidationStyle.cpp
	Localization.cpp
	Map.cpp
	NamedAreaManager.cpp
	Number.cpp
	PageManager.cpp
	PrintSettings.cpp
	RecalcManager.cpp
	Region.cpp
	RowColumnFormat.cpp
	Selection.cpp
	ShapeApplicationData.cpp
	Sheet.cpp
	SheetPrint.cpp
	RectStorage.cpp
	Style.cpp
	StyleManager.cpp
	StyleStorage.cpp
	Util.cpp
	Validity.cpp
	Value.cpp
	ValueCalc.cpp
	ValueConverter.cpp
	ValueFormatter.cpp
	ValueParser.cpp
	tests/inspector.cpp
	${chart_DIR_SRCS}
	${commands_DIR_SRCS}
	${database_DIR_SRCS}
	${dialogs_DIR_SRCS}
	${functions_DIR_SRCS}
	${interfaces_DIR_SRCS}
	${part_DIR_SRCS}
	${ui_DIR_SRCS}
	)

kde4_add_library(kspreadcommon SHARED ${kspreadcommon_LIB_SRCS})

target_link_libraries(kspreadcommon
    komain
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    kutils
#    ${KDE4_KDE3SUPPORT_LIBS}
)

target_link_libraries(kspreadcommon LINK_INTERFACE_LIBRARIES komain )

set_target_properties(kspreadcommon PROPERTIES
    VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kspreadcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

SET (kspreadpart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(kspreadpart WITH_PREFIX ${kspreadpart_PART_SRCS})



target_link_libraries(kspreadpart kspreadcommon )

install(TARGETS kspreadpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

SET (kspread_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(kspread_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-kspread.png")

kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kspread komain )

install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kspread kdeinit_kspread )
install(TARGETS kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kspread.rc kspread_readonly.rc kspread.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kspread)
install( FILES  kspreadpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kspread.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kspread.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  kspread_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== kspread/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kspread/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kspread/CMakeFiles/kdeinit_kspread.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kdeinit_kspread.dir/rule
.PHONY : kspread/CMakeFiles/kdeinit_kspread.dir/rule

# Convenience name for target.
kdeinit_kspread: kspread/CMakeFiles/kdeinit_kspread.dir/rule
.PHONY : kdeinit_kspread

# fast build rule for target.
kdeinit_kspread/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kdeinit_kspread.dir/build.make kspread/CMakeFiles/kdeinit_kspread.dir/build
.PHONY : kdeinit_kspread/fast

# Convenience name for target.
kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule

# Convenience name for target.
kdeinit_kspread_automoc: kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule
.PHONY : kdeinit_kspread_automoc

# fast build rule for target.
kdeinit_kspread_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kdeinit_kspread_automoc.dir/build.make kspread/CMakeFiles/kdeinit_kspread_automoc.dir/build
.PHONY : kdeinit_kspread_automoc/fast

# Convenience name for target.
kspread/CMakeFiles/kspread.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspread.dir/rule
.PHONY : kspread/CMakeFiles/kspread.dir/rule

# Convenience name for target.
kspread: kspread/CMakeFiles/kspread.dir/rule
.PHONY : kspread

# fast build rule for target.
kspread/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspread.dir/build.make kspread/CMakeFiles/kspread.dir/build
.PHONY : kspread/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadcommon.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadcommon.dir/rule
.PHONY : kspread/CMakeFiles/kspreadcommon.dir/rule

# Convenience name for target.
kspreadcommon: kspread/CMakeFiles/kspreadcommon.dir/rule
.PHONY : kspreadcommon

# fast build rule for target.
kspreadcommon/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/build
.PHONY : kspreadcommon/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadcommon_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadcommon_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kspreadcommon_automoc.dir/rule

# Convenience name for target.
kspreadcommon_automoc: kspread/CMakeFiles/kspreadcommon_automoc.dir/rule
.PHONY : kspreadcommon_automoc

# fast build rule for target.
kspreadcommon_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon_automoc.dir/build.make kspread/CMakeFiles/kspreadcommon_automoc.dir/build
.PHONY : kspreadcommon_automoc/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadpart.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadpart.dir/rule
.PHONY : kspread/CMakeFiles/kspreadpart.dir/rule

# Convenience name for target.
kspreadpart: kspread/CMakeFiles/kspreadpart.dir/rule
.PHONY : kspreadpart

# fast build rule for target.
kspreadpart/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadpart.dir/build.make kspread/CMakeFiles/kspreadpart.dir/build
.PHONY : kspreadpart/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadpart_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadpart_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kspreadpart_automoc.dir/rule

# Convenience name for target.
kspreadpart_automoc: kspread/CMakeFiles/kspreadpart_automoc.dir/rule
.PHONY : kspreadpart_automoc

# fast build rule for target.
kspreadpart_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadpart_automoc.dir/build.make kspread/CMakeFiles/kspreadpart_automoc.dir/build
.PHONY : kspreadpart_automoc/fast

# target to build an object file
ApplicationSettings.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.o
.PHONY : ApplicationSettings.o

# target to preprocess a source file
ApplicationSettings.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.i
.PHONY : ApplicationSettings.i

# target to generate assembly for a file
ApplicationSettings.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.s
.PHONY : ApplicationSettings.s

# target to build an object file
Binding.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/Binding.o
.PHONY : Binding.o

# target to preprocess a source file
Binding.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/Binding.i
.PHONY : Binding.i

# target to generate assembly for a file
Binding.s:

=== debian/changelog ===
koffice (2.1.0-0) unstable; urgency=high

  * Upgraded to 2.1 koffice

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Mon, 20 Jul 2009 08:59:41 +0200

koffice (2.0.0-1) unstable; urgency=high

  * Initial packaging

 -- Jos van den Oever <../koffice_2.0.orig.tar.gz>  Mon, 20 Jul 2009 08:59:41 +0200

=== debian/control ===
Source: koffice
Section: productivity
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon, libxi-dev, libsm-dev, libjpeg62-dev, automoc, libgsf-1-dev
Standards-Version: 3.7.2

Package: koffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= ${binary:Version})
Description: Office application suite
 <insert long description, indented with spaces>

Package: koffice-kchart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= ${binary:Version})
Description: Chart support for office application suite
 <insert long description, indented with spaces>

Package: koffice-dev
Architecture: any
Depends: koffice (>= ${source:Version}), kofficemaemo-dev (>= ${source:Version})
Description: Header files for koffice
 <insert long description, indented with spaces>

Package: kofficemaemo
Architecture: any
Depends: libkok, libgsf-1
Description: Office application suite for maemo.
 <insert long description, indented with spaces>

Package: kofficemaemo-dev
Architecture: any
Depends: kofficemaemo (>= ${binary:Version}), libkok-dev
Description: Office application suite dev files for maemo.
 <insert long description, indented with spaces>

Package: koffice-dbg
Section: debug
Architecture: any
Priority: extra
Depends: koffice (= ${binary:Version})
Description: debugging symbols for KOffice
 This package contains the debugging symbols associated with KOffice.
 They will automatically be used by gdb for debugging koffice-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF  -DBUILD_doc=OFF  -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=OFF -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=OFF -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/opt/lib" -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT" -DCMAKE_BUILD_TYPE=Release
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*
